%define name banshee-mirage
%define oname mirage
%define version 0.6.0
%define release %mkrel 1

Summary: Automatic playlist generator for Banshee based on similarity
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://hop.at/mirage/download/%{oname}-%{version}.tar.gz
License: GPLv2+
Group: Sound
Url: http://hop.at/mirage/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: banshee >= 1.4
BuildRequires: gnome-sharp2-devel
BuildRequires: mono-devel
BuildRequires: libfftw-devel
BuildRequires: sqlite3-devel
BuildRequires: libgstreamer-plugins-base-devel
BuildRequires: libsamplerate-devel
BuildRequires: libtool
BuildRequires: intltool
Suggests: gstreamer0.10-faad
Suggests: gstreamer0.10-plugins-ugly
Suggests: gstreamer0.10-flac
Suggests: gstreamer0.10-plugins-good

%description
Mirage is a ready-to-try implementation of the latest reseach in
automatic playlist generation and music similarity. Mirage analyzes
your music collection and computes similarity models for each song, so
it is then able to automatically compute playlists. Playlist
generation was implemented as a plugin for the popular GNOME audio
player Banshee. 

%prep
%setup -q -n %oname-%version

%build
%configure2_5x --disable-dependency-tracking
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/libmirageaudio.*a
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%_libdir/banshee-1/Extensions/Banshee.Mirage.dll*
%_libdir/banshee-1/Extensions/Mirage.dll*
%_libdir/libmirageaudio.so


%changelog
* Thu Feb 04 2010 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2010.1
+ Revision: 500960
- new version
- update file list

* Wed Jun 03 2009 Götz Waschk <waschk@mandriva.org> 0.5.0-2mdv2010.0
+ Revision: 382333
- rebuild for new banshee

* Mon Mar 09 2009 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 353141
- new version
- update file list

* Thu Mar 05 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-4mdv2009.1
+ Revision: 349168
- rebuild for new banshee

* Sun Mar 01 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-3mdv2009.1
+ Revision: 346311
- rebuild

* Tue Jan 27 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-2mdv2009.1
+ Revision: 334079
- rebuild

* Wed Jan 21 2009 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 332158
- new version

* Mon Nov 10 2008 Götz Waschk <waschk@mandriva.org> 0.4-1.r76.1mdv2009.1
+ Revision: 301763
- new snapshot
- fix build
- bump deps

* Tue Oct 21 2008 Götz Waschk <waschk@mandriva.org> 0.3.1-1.r63.1mdv2009.1
+ Revision: 296101
- new snapshot
- bump banshee dep

* Thu Oct 16 2008 Götz Waschk <waschk@mandriva.org> 0.3.1-1.r57.1mdv2009.1
+ Revision: 294360
- fix build deps
- fix release
- new snapshot

* Wed Oct 01 2008 Nicholas Brown <nickbrown@mandriva.org> 0.3.1-0.20080809.2mdv2009.0
+ Revision: 290478
- rebuild due to new banshee

* Mon Aug 18 2008 Nicholas Brown <nickbrown@mandriva.org> 0.3.1-0.20080809.1mdv2009.0
+ Revision: 273177
- fix build requires
- new version
  parallel build now supported
  moving libs no longer needed

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - update file list
    - bump deps

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 09 2007 Götz Waschk <waschk@mandriva.org> 0.2-1mdv2008.1
+ Revision: 96244
- fix buildrequires
- new version
- drop patch and source1
- update deps

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 0.1-2mdv2008.0
+ Revision: 80646
- flac support

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 0.1-1mdv2008.0
+ Revision: 80632
- Import banshee-mirage




* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 0.1-1mdv2008.0
- initial package
